"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPannel = void 0;
const main_route_1 = __importDefault(require("./routes/main.route"));
const adminpannel_route_1 = __importDefault(require("./routes/adminpannel.route"));
const AdminPannelOptionsValidator_1 = require("./utils/AdminPannelOptionsValidator");
const express_1 = __importDefault(require("express"));
const path_1 = __importDefault(require("path"));
class AdminPannel {
    constructor(orm, db, app, options) {
        this.orm = orm;
        this.db = db;
        this.app = app;
        this.options = options;
    }
    initialize(route) {
        /* declaring global variables */
        global.dbInstance = this.db;
        global.appInstance = this.app;
        global.appOrm = this.orm;
        global.AdminPannelOptions = this.options;
        /* should be implemented by one using ligrary */
        // this.app.use(cors())
        // this.app.use(express.json())
        // app.use(express.urlencoded({ extended: true }))
        //if user passed extra options then validating the options
        if (this.options)
            this.validateOptions(this.options);
        /* static files for admin pannel wil be served thouuth this derectory */
        this.app.use(express_1.default.static(path_1.default.join(__dirname, "../", "public")));
        /* routes for api */
        this.app.use(`/${route}/backend`, main_route_1.default);
        /* routes toServe admin pannel */
        this.app.use(`/${route}`, adminpannel_route_1.default);
    }
    /* pretty complex method but all it does is it validates whether the options provided in AdminPannel options are valid or not */
    validateOptions(options) {
        if (options.titleFields) {
            AdminPannelOptionsValidator_1.AdminPannelOptionsValidator.validateModelToPropertyFields(options.titleFields);
        }
        if (options.imageFields) {
            AdminPannelOptionsValidator_1.AdminPannelOptionsValidator.validateModelToPropertyFields(options.imageFields);
        }
    }
}
exports.AdminPannel = AdminPannel;
